/* Custom palette for Material */
:root,
[data-md-color-primary],
cd [data-md-color-scheme="default"],
[data-md-color-scheme="slate"] {
  --md-typeset-a-color: #ff7900 !important;
  --md-primary-fg-color: var(--md-default-bg-color) !important;
  --md-primary-fg-color--light: var(--md-default-bg-color) !important;
  --md-primary-fg-color--dark: #cc6100 !important;
  --md-accent-fg-color: #ff871e !important;
  --md-typeset-mark-color: #fdbc7281 !important;
  --md-footer-fg-color--light: #de9151;
}

[data-md-color-scheme="default"] {
  --md-default-fg-color: #210000;
  --md-default-fg-color--light: #210000;
}

[data-md-color-scheme="slate"] {
  --md-default-fg-color: rgba(255, 255, 255, 0.87);
  --md-default-fg-color--light: rgba(255, 255, 255, 0.7);
}


/* Custom header styling with backdrop filter */
.md-header {
  background-color: transparent;
  backdrop-filter: blur(.4rem);
  -webkit-backdrop-filter: blur(.4rem);
}

.md-header__inner {
  background-color: transparent;
  backdrop-filter: blur(.4rem);
  -webkit-backdrop-filter: blur(.4rem);
}

.md-header--shadow {
    box-shadow: 0 0 .05rem #0000000f, 0 .05rem .2rem #0000000d;
}

.md-header__button.md-logo img {
    height: 2rem;
}


.md-typeset .md-button {
  border-radius: 0.5rem;
  border-width: 0.15rem;
  min-width: 40%;
  text-align: center;
}


/* Center align specific button */
.md-typeset .md-button-center {
  display: block;
  margin: 0 auto;
  max-width: 280px;
}

/* Side margins for First Achievements block */
.first-achievements {
  margin-left: 10% !important;
  margin-right: 10% !important;
}

/* Logo styling with white background, rounded corners and border */
.logo-styled {
  background-color: white;
  border-radius: 0.8rem;
  border: 1.5px solid #f8d3d2;
  padding: 0.6rem 1rem;
  display: inline-block;
  height: 4rem !important;
}

/* Make left-aligned images full width on mobile */
@media screen and (max-width: 76.25em) {
  .md-typeset img[align="left"] {
    width: 100% !important;
    float: none !important;
    margin-bottom: 1rem;
  }
}

/* Sticker styles */

.sticker-group h3 {
  border-bottom: 3px solid currentColor !important;
  padding-bottom: 0.5rem !important;
  margin-bottom: 1rem !important;
  font-weight: bold !important;
}

